//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// AFXUI auxiliary module for Blazor-application (WASM) | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Diagnostics;

using CommonHelpers.WASM;

namespace AFXUI {

//**************************************************************************************************
public static class UDebugConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[Conditional("DEBUG")]
public static void Print( string message ) =>
   UConsole.Print( message );
[Conditional("DEBUG")]
public static void Print( string messageFmt, params object?[] parameters ) =>
   UConsole.Print( messageFmt, parameters );

//--------------------------------------------------------------------------------------------------

[Conditional("DEBUG")]
public static void PrintError( string message ) =>
   UConsole.PrintError( message );
[Conditional("DEBUG")]
public static void PrintError( string messageFmt, params object?[] parameters ) =>
   UConsole.PrintError( messageFmt, parameters );

[Conditional("DEBUG")]
public static void PrintError( Exception error ) =>
   UConsole.PrintError( error );
[Conditional("DEBUG")]
public static void PrintError( string? captionLine, Exception error ) =>
   UConsole.PrintError( captionLine, error );

//--------------------------------------------------------------------------------------------------

[Conditional("DEBUG")]
public static void PrintOperation( string message ) =>
   UConsole.PrintOperation( message );
[Conditional("DEBUG")]
public static void PrintOperation( string messageFmt, params object?[] parameters ) =>
   UConsole.PrintOperation( messageFmt, parameters );

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // UDebugConsole
//**************************************************************************************************

} // AFXUI
